Package com.xebialabs.xlrelease.domain.utils

## Class DeliveryUtils$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.utils.DeliveryUtils$

-     public class DeliveryUtils$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DeliveryUtils$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeliveryUtils$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `deliveryIdFrom​(java.lang.String id)` |
    `scala.collection.immutable.Seq<TrackedItem>` | `getItemsCompletedInAllStages​(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages)` |
    `scala.collection.immutable.Seq<TrackedItem>` | `getItemsWithStatusInAllStages​(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages, scala.collection.immutable.Seq<TrackedItemStatus> statuses)` |
    `boolean` | `hasAnyStatusInStage​(Stage stage, TrackedItem item, scala.collection.immutable.Seq<TrackedItemStatus> statuses)` |
    `boolean` | `isConditionGroup​(Condition condition)` |
    `java.lang.String` | `transitionIdFrom​(java.lang.String id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final DeliveryUtils$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### DeliveryUtils$

          public DeliveryUtils$()

  - ### Method Detail

    - #### deliveryIdFrom

          public java.lang.String deliveryIdFrom​(java.lang.String id)

    - #### transitionIdFrom

          public java.lang.String transitionIdFrom​(java.lang.String id)

    - #### getItemsCompletedInAllStages

          public scala.collection.immutable.Seq<TrackedItem> getItemsCompletedInAllStages​(scala.collection.immutable.Seq<TrackedItem> items,
                                                                                          scala.collection.immutable.Seq<Stage> stages)

    - #### getItemsWithStatusInAllStages

          public scala.collection.immutable.Seq<TrackedItem> getItemsWithStatusInAllStages​(scala.collection.immutable.Seq<TrackedItem> items,
                                                                                           scala.collection.immutable.Seq<Stage> stages,
                                                                                           scala.collection.immutable.Seq<TrackedItemStatus> statuses)

    - #### hasAnyStatusInStage

          public boolean hasAnyStatusInStage​(Stage stage,
                                             TrackedItem item,
                                             scala.collection.immutable.Seq<TrackedItemStatus> statuses)

    - #### isConditionGroup

          public boolean isConditionGroup​(Condition condition)